package com.dahe.gldriver.ui.account.authperson

import android.os.Bundle
import com.dahe.gldriver.R
import com.dahe.gldriver.databinding.ActivityAuthPersonBinding
import com.dahe.mylibrary.utils.PickerUtils
import com.dahe.mylibrary.base.BaseActivity
import com.dahe.mylibrary.utils.ActivityUtils
import com.dahe.mylibrary.utils.ImageLoader
import com.dahe.mylibrary.utils.PopsUtils
import com.dahe.mylibrary.utils.ToastUtils

/**
 * @ClassName AuthRoleActivity
 * @Author 用户
 * @Date 2024/1/25 11:15
 * @Description 身份证认证
 */
class AuthPersonActivity : BaseActivity<ActivityAuthPersonBinding>() {
    override fun initView(savedInstanceState: Bundle?) {
        setStatusBarColor(R.color.white)
        setTitleBar("实名认证", true)

        binding.run {

            btnOk.setOnClickListener {
                ActivityUtils.startActivity(mContext, AuthDriverActivity::class.java)
            }
            tvStart.run {
                setOnClickListener {
                    PickerUtils.getInstance()
                        .showDate(this@AuthPersonActivity,"有效起始日期") { year, month, day ->
                            this.text = "$year-$month-$day"
                        }
                }
            }
            tvEnd.run {
                setOnClickListener {
                    PickerUtils.getInstance()
                        .showDate(this@AuthPersonActivity,"有效结束日期") { year, month, day ->
                            this.text = "$year-$month-$day"
                        }
                }
            }

            ivFront.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext){
                    var data = it[0]
                    ImageLoader.getInstance().loadRoundImage(mContext,data.path,12,ivFront)
                }
            }

            ivBack.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext){
                    var data = it[0]
                    ImageLoader.getInstance().loadRoundImage(mContext,data.path,12,ivBack)
                }
            }
        }
    }

    override fun initDate() {
    }
}