package com.dahe.gldriver.ui.account.authperson

import android.os.Bundle
import com.dahe.gldriver.R
import com.dahe.gldriver.databinding.ActivityAuthQualificationBinding
import com.dahe.mylibrary.utils.PickerUtils
import com.dahe.mylibrary.base.BaseActivity
import com.dahe.mylibrary.utils.ActivityUtils
import com.dahe.mylibrary.utils.ImageLoader
import com.dahe.mylibrary.utils.PopsUtils

/**
 * @ClassName AuthQualificationActivity
 * @Author john
 * @Date 2024/1/25 15:20
 * @Description 从业资格证认证
 */
class AuthQualificationActivity : BaseActivity<ActivityAuthQualificationBinding>() {
    override fun initView(savedInstanceState: Bundle?) {
        setStatusBarColor(R.color.white)
        setTitleBar("实名认证", true)
        binding.btnOk.setOnClickListener {
            ActivityUtils.startActivity(mContext, AuthBankCardActivity::class.java)
        }

        binding.run {
            tvDate.run {
                setOnClickListener {
                    PickerUtils.getInstance()
                        .showDate(this@AuthQualificationActivity,"选择有效期至") { year, month, day ->
                            this.text = "$year-$month-$day"
                        }
                }
            }

            ivFront.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext){
                    ImageLoader.getInstance().loadRoundImage(mContext,it[0].path,12,ivFront)
                }
            }
        }
    }

    override fun initDate() {
    }
}