package com.dahe.gldriver.ui.account.authteam

import android.os.Bundle
import android.view.View
import android.widget.ImageView
import com.dahe.gldriver.R
import com.dahe.gldriver.databinding.ActivityAuthTeamBinding
import com.dahe.mylibrary.base.BaseActivity
import com.dahe.mylibrary.utils.ImageLoader
import com.dahe.mylibrary.utils.PickerUtils
import com.dahe.mylibrary.utils.PopsUtils
import com.dahe.mylibrary.utils.ToastUtils

/**
 * @ClassName AuthTeamActivity
 * @Author john
 * @Date 2024/1/25 16:44
 * @Description 个人车队认证
 */
class AuthTeamActivity : BaseActivity<ActivityAuthTeamBinding>(), View.OnClickListener {
    private var checkTeamType = 0  //0代表运输公司，1代表个人车队


    override fun initView(savedInstanceState: Bundle?) {
        setStatusBarColor(R.color.white)
        setTitleBar("身份认证", true)

        binding.run {
            rgTeam.setOnCheckedChangeListener { _, i ->
                changeTeamType(if (i == binding.rbCom.id) 0 else 1)
            }

            ivBusiness.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivBusiness)
                }
            }

            //运输公司  本人身份证
            ivPerFront.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivPerFront)
                }
            }

            ivPerBack.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivPerBack)
                }
            }
            //个人车队 本人身份证
            ivFront.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivFront)
                }
            }

            ivBank.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivBank)
                }
            }

            ivBank.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivBank)
                }
            }

            ivRoad.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivRoad)
                }
            }

            tvComDate.setOnClickListener {
                PickerUtils.getInstance()
                    .showDate(this@AuthTeamActivity, "请选择有效期至") { year, month, day ->
                        tvComDate.text = "$year-$month-$day"
                    }
            }

            tvPerDate.setOnClickListener {
                PickerUtils.getInstance()
                    .showDate(this@AuthTeamActivity, "请选择有效期至") { year, month, day ->
                        tvPerDate.text = "$year-$month-$day"
                    }
            }
        }

    }

    override fun initDate() {
    }

    private fun changeTeamType(type: Int) {
        checkTeamType = type
        if (0 == checkTeamType) {
            binding.llCom.visibility = View.VISIBLE
            binding.llPerson.visibility = View.GONE
        } else {
            binding.llCom.visibility = View.GONE
            binding.llPerson.visibility = View.VISIBLE
        }
    }

    override fun onClick(view: View?) {
        super.onClick(view)
//        when(view?.id){
//            binding.llCom.id->{}
//        }
    }
}

