package com.dahe.gldriver.ui.waybill.activity

import android.os.Bundle
import android.view.View
import com.amap.api.maps2d.AMap
import com.dahe.gldriver.R
import com.dahe.gldriver.base.AppConfig
import com.dahe.gldriver.databinding.ActivityWaybillLoadBinding
import com.dahe.gldriver.databinding.ActivityWaybillUnloadBinding
import com.dahe.mylibrary.base.BaseActivity
import com.dahe.mylibrary.utils.ActivityUtils
import com.dahe.mylibrary.utils.ToastUtils

/**
 * @ClassName WaybillLoadActivity
 * @Author john
 * @Date 2024/1/29 16:52
 * @Description 运单详情-卸货
 */
class WaybillUnlLoadActivity : BaseActivity<ActivityWaybillUnloadBinding>() {

    var aMap: AMap? = null
    override fun initView(savedInstanceState: Bundle?) {

        setTitleBar("运单详情", { finish() }, true, "查看单据") {
            ToastUtils.showToast(mContext, "查看单据")
        }
        binding.run {
            mapView.onCreate(savedInstanceState)
            if (aMap == null) mapView.map

            btnRight.setOnClickListener {
                ActivityUtils.startActivity(
                    mContext,
                    WaybillUpPicActivity::class.java,
                    Bundle().apply { putInt(AppConfig.SUCCESS_TYPE, 2) })
            }
        }

    }

    override fun initDate() {
    }


    override fun onResume() {
        super.onResume()
        binding.mapView.onResume();
    }

    override fun onPause() {
        super.onPause()
        binding.mapView.onPause();
    }

    override fun onSaveInstanceState(outState: Bundle) {
        super.onSaveInstanceState(outState)
        binding.mapView.onSaveInstanceState(outState);
    }

    override fun onDestroy() {
        if (binding.mapView != null)
            binding.mapView.onDestroy();
        super.onDestroy()

    }

}