package com.dahe.gldriver.ui.waybill.activity

import android.os.Bundle
import android.view.View
import androidx.recyclerview.widget.GridLayoutManager
import com.dahe.gldriver.base.AppConfig
import com.dahe.gldriver.databinding.ActivityWaybillUppicBinding
import com.dahe.mylibrary.adapter.GridImageAdapter
import com.dahe.mylibrary.adapter.GridImageAdapter.OnItemClickListener
import com.dahe.mylibrary.base.BaseActivity
import com.dahe.mylibrary.callback.OnPicResultListener
import com.dahe.mylibrary.utils.ActivityUtils
import com.dahe.mylibrary.utils.PopsUtils
import com.dahe.mylibrary.utils.ToastUtils
import com.dahe.mylibrary.weight.FullyGridLayoutManager
import com.luck.picture.lib.decoration.GridSpacingItemDecoration
import com.luck.picture.lib.entity.LocalMedia
import com.luck.picture.lib.utils.DensityUtil

/**
 * @ClassName WaybillUpPicActivity
 * @Author john
 * @Date 2024/1/30 15:56
 * @Description 上传照片：装卸货以及回单照片
 */
class WaybillUpPicActivity : BaseActivity<ActivityWaybillUppicBinding>() {
    override fun initView(savedInstanceState: Bundle?) {
        var type = intent.extras?.getInt(AppConfig.SUCCESS_TYPE, 0)
        if (1 == type) {
            binding.run {
                tvTitle.text = "装货"
                tvPicTitle.text = "装货照片"
                tvRece.text = "装货回单"
            }
        }

        binding.btnUnload.setOnClickListener {
            if (1 == type) {
                ActivityUtils.startActivity(
                    mContext,
                    WaybillSuccActivity::class.java,
                    Bundle().apply { putInt(AppConfig.SUCCESS_TYPE, 1) })
            } else {
                ActivityUtils.startActivity(
                    mContext,
                    WaybillSuccActivity::class.java,
                    Bundle().apply { putInt(AppConfig.SUCCESS_TYPE, 2) })
            }
        }
    }


    private val mData: List<LocalMedia> = ArrayList()
    override fun initDate() {

        binding.recyclerView.run {
            layoutManager = FullyGridLayoutManager(mContext, 4, GridLayoutManager.VERTICAL, false)
            addItemDecoration(
                GridSpacingItemDecoration(
                    4,
                    DensityUtil.dip2px(mContext, 8f), false
                )
            )

            var myAdapter = GridImageAdapter(mContext, mData)

            myAdapter.setOnItemClickListener(object : OnItemClickListener {
                override fun onItemClick(v: View?, position: Int) {

                }

                override fun openPicture() {
                    PopsUtils.getInstance().showSelPic(mContext,myAdapter){
                        myAdapter.data.addAll(it)
                        myAdapter.notifyDataSetChanged()
                    }
//                    XPopup.Builder(mContext)
//                        .dismissOnTouchOutside(true)
//                        .asCustom(PopBottomPic(mContext, myAdapter, onPicResultListener = {
//                            ToastUtils.showToast(mContext, it.size.toString())
//                            myAdapter.data.addAll(it)
//                            myAdapter.notifyDataSetChanged()
//                        }))
//                        .show()

                }
            })

//            setHasFixedSize(true)
            adapter = myAdapter
        }


    }
}